<template>
  <lazy-theme-desktop-main-sport v-if="theme === 'desktop/main'" />
  <lazy-theme-desktop-sbo-sport v-if="theme === 'desktop/playful'" />
  <lazy-theme-desktop-pure-sport v-else-if="theme === 'desktop/pure'" />
  <lazy-theme-mobile-pure-sport v-else-if="theme === 'mobile/pure'" />
  <lazy-theme-mobile-modern-sport v-else-if="theme === 'mobile/modern'" />
  <lazy-theme-desktop-modern-sport v-else-if="theme === 'desktop/modern'" />
  <lazy-theme-desktop-china-sport v-else-if="theme === 'desktop/china'" />
  <lazy-theme-desktop-black-sport v-else-if="theme === 'desktop/black'" />
  <lazy-theme-mobile-black-sport v-else-if="theme === 'mobile/black'" />
  <lazy-theme-desktop-sbo-sport v-else-if="theme === 'desktop/sbo'" />
  <lazy-theme-desktop-cool88-sport v-else-if="theme === 'desktop/cool88'" />
  <lazy-theme-desktop-bk8-sport v-else-if="theme === 'desktop/bk8'" />
  <lazy-theme-mobile-sbo-sport v-else-if="theme === 'mobile/sbo'" />
  <lazy-theme-mobile-main-sport-2 v-else-if="theme === 'mobile/main'" />
  <lazy-theme-mobile-main-sport-2 v-else-if="theme === 'mobile/playful'" />
  <lazy-theme-desktop-peru-sport v-else-if="theme.includes('/peru')" />
  <div
    v-else-if="theme.includes('/global')"
    v-loading="isWlSportLoading"
    element-loading-background="var(--background2)"
    class="sport-iframe-container"
    :style="{ height: documentHeight() }"
  >
    <iframe
      id="wl-sport"
      :src="sportUrl"
      frameborder="0"
      class="w-full h-full sport-iframe"
    ></iframe>
  </div>
</template>
<script lang="ts" setup>
import useWlSportConfig from "@/composables/useWlSportConfig";
const props = defineProps({
  theme: {
    type: String,
    default: "",
  },
});
const { sportUrl, isWlSportLoading } = useWlSportConfig(
  props.theme.includes("/global")
);

function documentHeight() {
  return props.theme === 'mobile/global' ? `${window.innerHeight - 63 - 43 - 65}px` : '';
}
</script>
<style scoped>
.sport-iframe-container {
  height: calc(100vh - 100px);
}
</style>
